{ flake, config, ... }:
let

  inherit (flake.config.people) user0;
  user = config.home.username;
  keyLogic =
    if user == user0 then
      "$env.ANTHROPIC_API_KEY = (open /home/${user0}/.config/zed/claude-api-key)"
    else
      "";

in
{
  programs.nushell = {
    enable = true;
    configFile.text = ''
      sleep 7ms
      $env.config = {show_banner: false}
      ${keyLogic}
    '';
    shellAliases = {
      y = "yy";
      lg = "lazygit";
      yt = "yt-dlp --embed-chapters";
      ze = "zellij";
    };
  };
}
